Bug 498356 - [PATCH] rhn-bootstrap: set specific profilename during registration process if it's given
[PATCH] rhn-bootstrap: set specific profilename during registration process i...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Registration (Show other bugs)
520
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McCune
wes hayutin
:
Depends On:
Blocks: 456985
  Show dependency treegraph
 
Reported: 2009-04-29 23:27 EDT by Satoru SATOH
Modified: 2010-10-23 05:18 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:36:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch to add an option to specify profilename of client systems to bootstrap scripts (1.15 KB, patch)
2009-04-29 23:27 EDT, Satoru SATOH
no flags Details | Diff

  None (edit)
Description Satoru SATOH 2009-04-29 23:27:58 EDT
Created attachment 341860 [details]
A patch to add an option to specify profilename of client systems to bootstrap scripts

Description of problem:

The profile name of client systems registered to the satellite server sometimes becomes "unknown" depends on environments.

This patch can solve this problem and makes it configurable by administrators who can generate and edit bootstrap scripts.



Version-Release number of selected component (if applicable): 5.2.0



Additional info:

I posted almost the same patch on the spacewalk-devel list:
https://www.redhat.com/archives/spacewalk-devel/2009-April/msg00080.html
Comment 2 Mike McCune 2009-05-20 13:29:12 EDT
ON_QA
Comment 3 wes hayutin 2009-06-02 11:15:40 EDT
need a testplan...
although.. I suspect this is *not* recreatable
Comment 4 Mike McCune 2009-06-07 14:05:11 EDT
TESTPLAN:

* Generate the bootstrap.sh from Satellite's GUI.
* Verify that the PROFILENAME variable is in the bootstrap.sh script:

# ex. PROFILENAME="foo.example.com"  # For specific clinet system
#     PROFILENAME=`hostname -s`      # Short hostname
#     PROFILENAME=`hostname -f`      # FQDN

PROFILENAME=""   # Empty by default to let it be set automatically.


* Set the variable to something random and unique:

PROFILENAME="testing498356.rhndev.redhat.com"

* execute the bootstrap.sh on a client
* Verify that the profilename matches the variable specified.
Comment 5 Mike McCune 2009-06-07 14:11:32 EDT
This was missing a cherry-pick into vader.  resolving and should be in next ISO
Comment 6 wes hayutin 2009-06-23 12:27:33 EDT
verified... works w/ custom prof name
6/19
Comment 7 wes hayutin 2009-08-03 18:57:47 EDT
ran the script
[root@rlx-3-06 ~]# bash bootstrap.sh 
RHN Satellite Server Client bootstrap script v4.0


and it worked properly and set the new profile name
Comment 8 Brandon Perkins 2009-09-10 16:36:13 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.